/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.dto.acte;

import fr.paris.lutece.plugins.ods.dto.fichier.IFichier;
import fr.paris.lutece.plugins.ods.dto.seance.ISeance;

import java.sql.Timestamp;


/**
 *
 * IActeFilter
 *
 * @param <GSeance> ISeance
 * @param <GFichier> IFichier
 */
public interface IActeFilter
<
	GFichier extends IFichier<GSeance, GFichier>, 
	GSeance extends ISeance
>
{
    String ALL_STRING = "all";
    int ALL_INT = -1;
    int ALL_EXCEPT_ANNULE = -2;

    /**
     * @return the _nSeance
     */
    int getIdSeance(  );

    /**
     * @param seance _nSeance to set
     */
    void setIdSeance( int seance );

    /**
     * @return boolean TRUE si _nSeance est actif, FALSE sinon
     */
    boolean containsSeanceCriteria(  );

    /**
     * @return _nIdFormationConseil int
     */
    int getIdFormationConseil(  );

    /**
     * @param idFormationConseil _nIdFormationConseil to set
     */
    void setIdFormationConseil( int idFormationConseil );

    /**
     * @return boolean TRUE si _nIdFormationConseil est actif, FALSE sinon
     */
    boolean containsFormationConseilCriteria(  );

    /**
     * @return _nCategorieDeliberation int
     */
    int getCategorieDeliberation(  );

    /**
     * @param categorieDeliberation _nCategorieDeliberation to set
     */
    void setCategorieDeliberation( int categorieDeliberation );

    /**
     *
     * @return boolean TRUE si _nCategorieDeliberation est actif, FALSE sinon
     */
    boolean containsCategorieDeliberationCriteria(  );

    /**
     * @return _nStatut int
     */
    int getStatut(  );

    /**
     * @param statut _nStatut to set
     */
    void setStatut( int statut );

    /**
     * @return boolean TRUE si _nStatut est actif, FALSE sinon
     */
    boolean containsStatutCriteria(  );

    /**
     * @return _tsDateRetourControleDeLegalite Timestamp
     */
    Timestamp getDateRetourControleDeLegalite(  );

    /**
     * @param tsDateRetourControleDeLegalite _tsDateRetourControleDeLegalite to set
     */
    void setDateRetourControleDeLegalite( Timestamp tsDateRetourControleDeLegalite );

    /**
     * @return boolean TRUE si _tsDateRetourControleDeLegalite est actif, FALSE sinon
     */
    boolean containsDateRetourControleDeLegaliteCriteria(  );

    /**
     * @return _fichierDeliberationFinale Fichier
     */
    GFichier getFichierDeliberationFinale(  );

    /**
     * @param fichierDeliberationFinale _fichierDeliberationFinale to set
     */
    void setFichierDeliberationFinale( GFichier fichierDeliberationFinale );

    /**
     * @return boolean TRUE si _fichierDeliberationFinale est actif, FALSE sinon
     */
    boolean containsDeliberationFinaleCriteria(  );

    /**
     * @return _nIdEntite int
     */
    int getIdEntite(  );

    /**
     * @param nIdEntite _nIdEntite to set
     */
    void setIdEntite( int nIdEntite );

    /**
     * @return boolean TRUE si _nIdEntite est actif, FALSE sinon
     */
    boolean containsIdEntiteCriteria(  );

    /**
     * @return the _strTypeEntite
     */
    int getIdTypeEntite(  );

    /**
     * @param nIdTypeEntite the _nIdTypeEntite to set
     */
    void setIdTypeEntite( int nIdTypeEntite );

    /**
     * @return boolean TRUE si _strTypeEntite est actif, FALSE sinon
     */
    boolean containsTypeEntiteCriteria(  );

    /**
     * @return the _strReference
     */
    String getReference(  );

    /**
     * @param strReference the _strTypeEntite to set
     */
    void setrefrence( String strReference );

    /**
     * @return boolean TRUE si _strReference est actif, FALSE sinon
     */
    boolean containsReferenceCriteria(  );

    /**
     * @return boolean TRUE si _bOrderByFormationConseil est actif, FALSE sinon
     */
    boolean getOrderByFormationConseil(  );

    /**
     * @param bOrderByFormationConseil the _bOrderByFormationConseil to set
     */
    void setOrderByFormationConseil( boolean bOrderByFormationConseil );

    /**
     * @return boolean TRUE si _bOrderByStatut est actif, FALSE sinon
     */
    boolean getOrderByStatut(  );

    /**
     * @param bOrderByStatut the _bOrderByStatut to set
     */
    void setOrderByStatut( boolean bOrderByStatut );

    /**
     * @return boolean TRUE si _bOrderByTransmission est actif, FALSE sinon
     */
    boolean getOrderByTransmission(  );

    /**
     * @param bOrderByTransmission the _bOrderByTransmission to set
     */
    void setOrderByTransmission( boolean bOrderByTransmission );
}
