/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.dto.categoriectrllegalite;


/**
 * Objet CategorieCtrlLegalite, correspond  un enregistrement dans la table ods_categorie_ctrl_legalite
 */
public class CategorieCtrlLegalite
{
    private int _nIdCategorie;
    private String _strLibelle;
    private int _nCodeMatiere1;
    private int _nCodeMatiere2;

    /**
     * Retourne l'identifiant de la catgorie
     * @return l'identifiant de la catgorie
     */
    public int getIdCategorie(  )
    {
        return _nIdCategorie;
    }

    /**
     * Fixe l'identifiant de la catgorie.
     * @param nIdCategorie le nouvel identifiant de la catgorie
     */
    public void setIdCategorie( int nIdCategorie )
    {
        _nIdCategorie = nIdCategorie;
    }

    /**
     * Retourne l'intitul de la catgorie.
     * @return l'intitul de la catgorie
     */
    public String getLibelle(  )
    {
        return _strLibelle;
    }

    /**
     * Fixe l'intitul de la catgorie de.
     * @param strLibelle le nouvel intitul de la catgorie
     */
    public void setLibelle( String strLibelle )
    {
        _strLibelle = strLibelle;
    }

    /**
     * Retourne le code matire 1
     * @return le code matire 1
     */
    public int getCodeMatiere1(  )
    {
        return _nCodeMatiere1;
    }

    /**
     * Fixe le code matire 1
     * @param nCodeMatiere1 le code matire 1
     */
    public void setCodeMatiere1( int nCodeMatiere1 )
    {
        _nCodeMatiere1 = nCodeMatiere1;
    }

    /**
     * Retourne le code matire 2
     * @return le code matire 2
     */
    public int getCodeMatiere2(  )
    {
        return _nCodeMatiere2;
    }

    /**
     * Fixe le code matire 2
     * @param nCodeMatiere2 le code matire 2
     */
    public void setCodeMatiere2( int nCodeMatiere2 )
    {
        _nCodeMatiere2 = nCodeMatiere2;
    }
}
