/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.dto.elu;

import fr.paris.lutece.plugins.ods.dto.IDepositaire;
import fr.paris.lutece.plugins.ods.dto.groupepolitique.IGroupePolitique;


public interface IElu extends IDepositaire
{
    String TAG_PRENOM_ELU = "prenomElu";
    String TAG_NOM_ELU = "nomElu";
    String TAG_CIVILITE = "civilite";
    String TAG_ELU = "elu";
    String TAG_ID_ELU = "id";
    String TAG_ACTIF = "actif";

    /**
     * Retourne l'tat d'activit de l'lu
     * @return l'tat d'activit de l'lu
     */
    boolean isActif(  );

    /**
     * Fixe l'tat d'activit de l'lu  avec la valeur passe en paramtre
     * @param bActif l'tat d'activit de l'lu
     */
    void setActif( boolean bActif );

    /**
     * Retourne le groupe politique de l'lu
     * @return le groupe politique de l'lu
     */
    IGroupePolitique getGroupe(  );

    /**
     * Fixe le groupe politique de l'lu  avec la valeur passe en paramtre
     * @param groupe groupe politique de l'lu
     */
    void setGroupe( IGroupePolitique groupe );

    /**
     * Retourne l'identifiant de l'lu
     * @return id de l'lu
     */
    int getIdElu(  );

    /**
     * Fixe l'identifiant de l'lu avec la valeur passe en paramtre
     * @param nIdElu id de l'lu
     */
    void setIdElu( int nIdElu );

    /**
     * Retourne la civilit de l'lu
     * @return la civilit de l'lu
     */
    String getCivilite(  );

    /**
     * Fixe la civilit de l'lu avec la valeur passe en paramtre
     * @param strCivilite la civilit de l'lu
     */
    void setCivilite( String strCivilite );

    /**
     * Retourne le nom de l'lu
     * @return le nom de l'lu
     */
    String getNomElu(  );

    /**
     * Fixe le nom de l'lu avec la valeur passe en paramtre
     * @param strNomElu le nom de l'lu
     */
    void setNomElu( String strNomElu );

    /**
     * Retourne le prnom de l'lu
     * @return le prnom de l'lu
     */
    String getPrenomElu(  );

    /**
     * Fixe le prnom  de l'lu avec la valeur passe en paramtre
     * @param strPrenomElu le prnom  de l'lu
     */
    void setPrenomElu( String strPrenomElu );

    /**
     * Gnration XML
     * @return gnre Elu en XML
     */
    String getXml(  );

    /**
     * retourne le type de dpositaire(lu)
     * @return le type de dpositaire
     */
    int getType(  );

    IElu getEluRemplace(  );

    void setEluRemplace( IElu eluRemplace );
}
