/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.dto.fichier;

public interface ITypeDocument
{
    int EXPOSE_DES_MOTIFS = 1;
    int PROJET_DE_DELIBERE = 2;
    int PIECE_ANNEXE = 3;
    int ORDRE_DU_JOUR = 4;
    int CONVOCATION_DU_MAIRE = 5;
    int LISTE_INTEGRALE_DES_QUESTIONS = 6;
    int RELEVE_DE_LA_CONFERENCE_DORGANISATION = 7;
    int RESUME_DES_QUESTIONS = 8;
    int DOCUMENT_LIBRE = 9;
    int COMPTE_RENDU = 10;
    int DESIGNATION = 11;
    int DELIBERATION = 12;
    int LISTE_DE_DESIGNATION = 13;
    int VOEU = 14;
    int AMENDEMENT = 15;
    int RELEVE = 16;
    int LIASSE_DES_VA = 17;
    int ZIP = 18;
    int DELIBERATION_DESIGNATION = 19;
    int ARRETE = 20;
    int LISTE_MEMBRE_PRESENT = 21;
    int BMO_DEBATS = 22;
    int BDO_DEBATS = 23;
    int COMPTE_RENDU_SOMMAIRE_CM = 24;
    int COMPTE_RENDU_SOMMAIRE_CG = 25;
    int PIECE_ANNEXE_MA = 26;

    /**
     * Retourne le _strLibelle du type de document
     * @return _strLibelle
     */
    String getLibelle(  );

    /**
     * Affecte le _strLibelle du type de document
     * @param strLibelle le libell du type de document
     */
    void setLibelle( String strLibelle );

    /**
     * Retourne l'_nId du type de document
     * @return _nId
     */
    int getId(  );

    /**
     * Affecte l'_nId du type de document
     * @param nId l'identifiant du type de document
     */
    void setId( int nId );

    /**
     * @return TRUE si le type de document concerne les fichiers en gestion aval, FALSE sinon
     */
    boolean getEstPourGestionAval(  );

    /**
     * @param bEstPourGestionAval si le type de document est pour la gestion aval
     */
    void setEstPourGestionAval( boolean bEstPourGestionAval );

    /**
     * @return TRUE si le type de document concerne les fichiers de la prochaine sance, FALSE sinon
     */
    boolean getEstPourProchaineSeance(  );

    /**
     * @param bEstPourProchaineSeance si le type de document est pour la prochaine sance
     */
    void setEstPourProchaineSeance( boolean bEstPourProchaineSeance );

    /**
     * gnration XML
     * @return gnre TypeDocument en XML
     */
    String getXml(  );
}
