/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.dto.historique;

import java.sql.Timestamp;


/**
 *
 * Responsable de reprsent l'historique
 *
 */
public class Historique
{
    private int _nId;
    private int _nVersion;
    private int _nIdEntite = -1;
    private int _nIdTypeEntite = -1;
    private Timestamp _datePublication;

    /**
    *
    * @return int _nIdEntite
    */
    public int getIdEntite(  )
    {
        return _nIdEntite;
    }

    /**
    *
    * @param nIdEntite int
    */
    public void setIdEntite( int nIdEntite )
    {
        _nIdEntite = nIdEntite;
    }

    /**
    *
    * @return int _nIdEntite
    */
    public int getIdTypeEntite(  )
    {
        return _nIdTypeEntite;
    }

    /**
    *
    * @param nIdTypeEntite int
    */
    public void setIdTypeEntite( int nIdTypeEntite )
    {
        _nIdTypeEntite = nIdTypeEntite;
    }

    /**
     *
     * @return Timestamp _datePublication
     */
    public Timestamp getDatePublication(  )
    {
        return _datePublication;
    }

    /**
     *
     * @param datePublication Timestamp
     */
    public void setDatePublication( Timestamp datePublication )
    {
        this._datePublication = datePublication;
    }

    /**
     *
     * @return _nId int
     */
    public int getId(  )
    {
        return _nId;
    }

    /**
     *
     * @param id _nId
     */
    public void setId( int id )
    {
        this._nId = id;
    }

    /**
     *
     * @return int _nVersion
     */
    public int getVersion(  )
    {
        return _nVersion;
    }

    /**
     *
     * @param version int
     */
    public void setVersion( int version )
    {
        this._nVersion = version;
    }
}
