/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.dto.listemembrepresent;


/**
 * Un objet ListeMembrePresentFilter est utilis pour retrouver les listes de membres prsents selon certains critres:
 * la sance, la formation conseil, si elle est publie ou non.
 */
public class ListeMembrePresentFilter
{
    public static final String ALL_STRING = "all";
    public static final int ALL_INT = -1;
    public static final int A_PREPARER = 1;
    public static final int UN_ACTE_AU_MOINS = 2;
    private int _nIdFormationConseil = ALL_INT;
    private int _nIdSeance = ALL_INT;
    private int _nPublication = ALL_INT;
    private int _nStatutActe = ALL_INT;

    //private Timestamp _tsDateRetourControleLegalite;

    /**
     * Retourne la sance  filtrer
     * @return la sance  filtrer
     */
    public int getIdSeance(  )
    {
        return _nIdSeance;
    }

    /**
     * Fixe la valeur du filtre sance
     * @param nIdSeance la sance  filtrer
     */
    public void setIdSeance( int nIdSeance )
    {
        _nIdSeance = nIdSeance;
    }

    /**
     * Indique si le filtre sur la sance est activ.
     * @return <b>true</b> si le filtre sur lsance est positionn, <b>false</b> sinon
     */
    public boolean containsSeanceCriteria(  )
    {
        return ( _nIdSeance != ALL_INT );
    }

    /**
     * Retourne la formation conseil  filtrer
     * @return la formation conseil  filtrer
     */
    public int getIdFormationConseil(  )
    {
        return _nIdFormationConseil;
    }

    /**
     * Fixe le filtre sur la formation Conseil
     * @param nFormationConseil la formation conseil  filtrer
     */
    public void setIdFormationConseil( int nFormationConseil )
    {
        _nIdFormationConseil = nFormationConseil;
    }

    /**
     * Indique si le filtre sur la formation conseil est positionn
     * @return <b>true</b> si le filtre sur lla formation conseil est positionn, <b>false</b> sinon
     */
    public boolean containsFormationConseilCriteria(  )
    {
        return ( _nIdFormationConseil != ALL_INT );
    }

    /**
     * @return _nPublication int
     */
    public int getPublication(  )
    {
        return _nPublication;
    }

    /**
     * @param nPublication _nPublication to set
     */
    public void setPublication( int nPublication )
    {
        _nPublication = nPublication;
    }

    /**
     * @return _nStatutActe int
     */
    public int getStatutActe(  )
    {
        return _nStatutActe;
    }

    /**
     * @param nActeSelected _nPublication to set
     */
    public void setStatutActe( int nActeSelected )
    {
        _nStatutActe = nActeSelected;
    }

    /**
     * @return boolean TRUE si _nPublication est actif, FALSE sinon
     */
    public boolean containsPublicationCriteria(  )
    {
        return ( _nPublication != ALL_INT );
    }

    /**
     * @return _tsDateRetourControleLegalite Timestamp
     */

    /* *public Timestamp getDateRetourControleLegalite(  )
    {
        return _tsDateRetourControleLegalite;
    }*/

    /**
     * @param tsDateRetourControleLegalite _tsDateRetourControleLegalite to set
     */

    /* *public void setDateRetourControleLegalite( Timestamp tsDateRetourControleLegalite )
    {
        _tsDateRetourControleLegalite = tsDateRetourControleLegalite;
    }*/

    /**
     * @return boolean TRUE si _tsDateRetourControleLegalite est actif, FALSE sinon
     */

    /* *public boolean containsDateRetourControleLegaliteCriteria(  )
    {
        return ( _tsDateRetourControleLegalite != null );
    }*/

    /**
     * @return boolean TRUE si _nStatutActe est actif, FALSE sinon
     */
    public boolean containsStatutActeCriteria(  )
    {
        return ( _nStatutActe != ALL_INT );
    }
}
