/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.dto.ordredujour;

import fr.paris.lutece.plugins.ods.dto.elu.IElu;
import fr.paris.lutece.plugins.ods.dto.fichier.IFichier;
import fr.paris.lutece.plugins.ods.dto.formationconseil.FormationConseil;
import fr.paris.lutece.plugins.ods.dto.seance.ISeance;

import java.sql.Timestamp;

import java.util.List;


public interface IOrdreDuJour<GEntreeOrdreDuJour extends IEntreeOrdreDuJour<GElu, GSeance, GFichier, GEntreeOrdreDuJour, GOrdreDuJour>, GSeance extends ISeance, GFichier extends IFichier<GSeance, GFichier>, GElu extends IElu, GOrdreDuJour extends IOrdreDuJour<GEntreeOrdreDuJour, GSeance, GFichier, GElu, GOrdreDuJour>>
{
    String MARK_ODJ = "odj";
    String TAG_ID = "id";
    String TAG_TYPE_ODS = "typeODS";
    String TAG_ORDRE_DU_JOUR = "ordreDuJour";

    int getIdOrdreDuJour(  );

    void setIdOrdreDuJour( int idOrdreDuJour );

    TypeOrdreDuJour getTypeOrdreDuJour(  );

    void setTypeOrdreDuJour( TypeOrdreDuJour typeOrdreDuJour );

    Boolean getPublie(  );

    void setPublie( Boolean publie );

    String getIntitule(  );

    void setIntitule( String intitule );

    FormationConseil getFormationConseil(  );

    void setFormationConseil( FormationConseil formationConseil );

    List<GEntreeOrdreDuJour> getListEntrees(  );

    void setSeance( GSeance seance );

    void setListEntrees( List<GEntreeOrdreDuJour> entrees );

    String getXml(  );

    String getXmlPublication(  );

    void setXmlPublication( String xmlPublication );

    String getXmlEntete(  );

    void setXmlEntete( String entete );

    String getXmlPiedDePage(  );

    void setXmlPiedDePage( String piedDePage );

    String getModeClassement(  );

    void setModeClassement( String modeClassement );

    GSeance getSeance(  );

    Timestamp getDateDebutPublication(  );

    void setDatePublication( Timestamp publication );

    GOrdreDuJour getOrdreDuJourSauveGarde(  );

    void setOrdreDuJourSauveGarde( GOrdreDuJour ordreDuJourSauveGarde );

    GFichier getFichier(  );

    void setFichier( GFichier fichier );

    void setEstSauvegarde( Boolean estSauvegarde );

    Boolean getEstSauvegarde(  );

    Timestamp getDatePublication(  );

    void setEstDepubliable( Boolean estDepubliable );
}
