/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.dto.ordredujour;

import java.sql.Timestamp;


/**
 *
 * IOrdreDuJourFilter
 *
 */
public interface IOrdreDuJourFilter
{
    String ALL_STRING = "all";
    int ALL_INT = -1;

    /**
     * @return _tsDatePublication Timestamp
     */
    Timestamp getDatePublication(  );

    /**
     * @param tsDatePubliocation _tsDatePublication to set
     */
    void setDatePublication( Timestamp tsDatePubliocation );

    /**
     * @return boolean TRUE si _tsDatePublication est actif, FALSE sinon
     */
    boolean containsDatePublicationCriteria(  );

    /**
     * retourne l'id de la formation conseil prsent dans le filtre
     * @return id de la formation conseil prsent dans le filtre
     */
    int getIdFormationConseil(  );

    /**
     *  initialise l'id de la formation conseil  filtrer
     * @param idFormationConseil id de la formation conseil prsent dans le filtre
     */
    void setIdFormationConseil( int idFormationConseil );

    /**
     * retourne true si le filtre contient l'id de la formation conseil  false sinon
     * @return retourne true si le filtre contient l'id de la formation conseil  false sinon
     */
    boolean containsIdFormationConseilCriteria(  );

    /**
     * retourne l'id publie prsent dans le filtre (0 ou 1)
     * @return l'id publie prsent dans le filtre (0 ou 1)
     */
    int getIdPublie(  );

    /**
     * initialise l'id publie  filtrer (0 ou 1)
     * @param idPublie l'id publie   filtrer (0 ou 1)
     */
    void setIdPublie( int idPublie );

    /**
     * retourne true si le filtre contient l'id publie false sinon
     * @return retourne true si le filtre contient l'id publie false sinon
     */
    boolean containsIdPublieCriteria(  );

    /**
     * retourne  l'id de la seance prsent dans le filtre
     * @return l'id de la seance prsent dans le filtre
     */
    int getIdSeance(  );

    /**
     * initialise l'id de la seance  filtrer
     * @param idSeance l'id de la seance   filtrer
     */
    void setIdSeance( int idSeance );

    /**
     * retourne true si le filtre contient l'id de la seance false sinon
     * @return retourne true si le filtre contient l'id de la seance false sinon
     */
    boolean containsIdSeanceCriteria(  );

    /**
     * retourne  l'id du type de l'odj
     * @return l'id du type de l'odj
     */
    int getIdType(  );

    /**
     *initialise le type de l'odj  filtrer
     * @param idType l'id du type de l'odj
     */
    void setIdType( int idType );

    /**
     * retourne true si le filtre contient le critere type false sinon
     * @return retourne true si le filtre contient le critere Type false sinon
     */
    boolean containsIdTypeCriteria(  );

    /**
     * retourne l'id de sauvegarde  de l'odj
     * @return le  sauvegarde  de l'odj
     */
    int getIdSauvegarde(  );

    /**
     *initialise le  sauvegarde  de l'odj  filtrer
     *@param idSauvegarde l'id  de  sauvegarde  de l'odj
     */
    void setIdSauvegarde( int idSauvegarde );

    /**
     * retourne true si le filtre contient le critere  sauvegarde  false sinon
     * @return retourne si le filtre contient le critere  sauvegarde false sinon
     */
    boolean containsIdSauvegardeCriteria(  );
}
