/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.dto.pdd;

import fr.paris.lutece.plugins.ods.dto.elu.IElu;
import fr.paris.lutece.plugins.ods.dto.fichier.IFichier;
import fr.paris.lutece.plugins.ods.dto.seance.ISeance;
import fr.paris.lutece.plugins.ods.dto.voeuamendement.IVoeuAmendement;
import fr.paris.lutece.plugins.ods.ui.form.FormBean;

import org.apache.commons.fileupload.FileItem;

import java.util.List;
import java.util.Map;


public interface IPddFormBean<GSeance extends ISeance, GFichier extends IFichier<GSeance, GFichier>, GElu extends IElu, GVoeuAmendement extends IVoeuAmendement<GVoeuAmendement, GSeance, GElu, GFichier, GPDD>, GPDD extends IPDD<GVoeuAmendement, GSeance, GElu, GFichier, GPDD>, GArrondissement extends IArrondissement>
    extends FormBean
{
    void setPdd( GPDD pdd );

    GPDD getPdd(  );

    ISeance getSeance(  );

    void setSeance( ISeance seance );

    void setIdOdj( Integer idOdj );

    Integer getIdOdj(  );

    void setIdSeance( Integer idSeance );

    Integer getIdSeance(  );

    void setIdPdd( Integer idPDD );

    Integer getIdPdd(  );

    void setFormName( String formName );

    void setDefaultAction( String defaultAction );

    FileItem getFileXposeDesMotifs(  );

    FileItem getFileProjetDeDelibere(  );

    void setExposeDesMotifs( GFichier exposeDesMotifs );

    GFichier getExposeDesMotifs(  );

    void setProjetDeDelibere( GFichier projetDeDelibere );

    GFichier getProjetDeDelibere(  );

    void setPddEcran( String pddEcran );

    String getPddEcran(  );

    String getAnnee(  );

    String getNumero(  );

    void setArrondissements( List<GArrondissement> arrondissements );

    void setPddReadonlyValues( GPDD pdd );

    Map<String, String> validate( List<String> champsNonSaisis, GPDD pddUpdated );

    List<String> getDependenciesTemplates(  );

    void setDependenciesTemplates( List<String> listDependencies );

    void setReponseMaire( GFichier f );
}
