/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.dto.seance;

import java.sql.Timestamp;


public interface ISeance
{
    String TAG_ID = "id";
    String TAG_DATE_SEANCE = "dateSeance";
    String TAG_DATE_SEANCE_LIBELLE = "dateSeanceLibelle";
    String TAG_MOIS_SEANCE = "moisSeance";
    String PROPERTY_DU = "ods.all.label.from";

    int getIdSeance(  );

    void setIdSeance( int nIdSeance );

    String getXml(  );

    Timestamp getDateSeance(  );

    void setDateSeance( Timestamp timestamp );

    String getDateSeanceLibelle(  );

    /**
    * Retourne la taille de l'archive contenant tous les documents de sance
    * @return _tailleArchive la taille de l'archive contenant tous les documents de sance
    */
    long getTailleArchive(  );

    /**
     * Affecte la taille de l'archive contenant tous les documents de sance
     * @param tailleArchive taille de l'archive contenant tous les documents de sance
     */
    void setTailleArchive( long tailleArchive );

    /**
     * Retourne la date de publication de la l'archive contenant tous les documents de sance
     * @return getDatePublicationArchive date de publication de la l'archive contenant tous les documents de sance
     */
    Timestamp getDatePublicationArchive(  );

    /**
     * Affecte la date de publication de la l'archive contenant tous les documents de sance
     * @param datePublicationArchive date de publication de la l'archive contenant tous les documents de sance
     */
    void setDatePublicationArchive( Timestamp datePublicationArchive );
}
