/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.service.pdd;

import fr.paris.lutece.plugins.ods.dto.pdd.AbstractPDDFilter;
import fr.paris.lutece.plugins.ods.dto.pdd.DirectionCoEmetrice;
import fr.paris.lutece.plugins.ods.dto.pdd.IArrondissement;
import fr.paris.lutece.plugins.ods.dto.seance.ISeance;
import fr.paris.lutece.portal.service.util.AppPropertiesService;
import fr.paris.lutece.util.ReferenceList;

import java.util.List;
import java.util.Map;


public class ProjetDeDeliberationServiceDTO<GArrondissement extends IArrondissement>
{
    protected static final String PROPERTY_FICHIERS_PER_PAGE = "ods.itemPerPage.label";
    private static final String CONSTANTE_PAGE_FIRST = "1";
    public boolean _bUrlRetour;
    public String _strUrlRetour;
    public boolean _bGestionAval;
    public int _nIdSeanceSelected = -1;
    public int _nIdStatutSelected = -1;
    public ISeance _seance;
    public boolean _bFonctionnaliteProjetDeDeliberation;
    public int _nIdFormationConseilSelected = -1;
    public int _nIdCategorieDeliberationSelected = -1;
    public String _strDirectionSelected = AbstractPDDFilter.ALL_STRING;
    public String _strGroupeDepositaireSelected = AbstractPDDFilter.ALL_STRING;
    public int _nIdInscritODJSelected = -1;
    public int _nIdPublicationSelected = -1;
    public int _nStatutActeSelected = -1;

    /**
     *DEBUT AJOUT MA
     */
    public int _nIdConseilQuartierSelected = -1;
    public int _nIdSeanceDatePrevisionnellePassageCA;

    /**
    *FIN AJOUT MA
    */

    /**
    * CP
    public ReferenceList _referenceModeIntroList;
    public String _strModeIntroSelected;
     */
    public String _strCurrentPageIndex;
    public int _nItemsPerPage;
    public int _nDefaultItemsPerPage = AppPropertiesService.getPropertyInt( PROPERTY_FICHIERS_PER_PAGE, 10 );
    public String _strDirectionCoEmetriceSelected;
    public List<GArrondissement> _arrondissementAdded;
    public Map<String, ReferenceList> _mapReferentiel;
    public ReferenceList _referenceDirectionCoEmetriceSelect;
    public ReferenceList _referenceArrondissementSelect;
    public int _nIdArrondissementSelected = -1;
    public ReferenceList _referenceListProchaineSeance;
    public ReferenceList _referenceCategorieDeliberationList;
    public List<DirectionCoEmetrice> _directionCoEmetriceAdded;
    public ReferenceList _referenceDirectionList;
    public ReferenceList _referencePublicationList;
    public ReferenceList _referenceInscritODJList;
    public ReferenceList _referenceGroupeDepositaireList;
    public ReferenceList _referenceFormationConseilList;
    public ReferenceList _referenceConseilQuartierList;
    public ReferenceList _referenceModeIntroList;
    public ReferenceList _referenceListStatut;
    public ReferenceList _referenceListStatutPDDPropre;
    public ReferenceList _referenceListStatutActe;
    public ReferenceList _referenceListSeanceCP;

    /**
     * DEBUT PDD Soumis Avis pour du maire
     */
    public ReferenceList _referenceTypeAvisMaireList;
    public ReferenceList _referenceArrondissementSelectMA;
    public int _nIdArrondissementSelectedMA = -1;
    public ReferenceList _referenceArrondissementSelectCA;
    public int _nIdArrondissementSelectedCA = -1;
    public List<GArrondissement> _arrondissementAddedMA;

    /**
     * FIN PDD Soumis Avis pour du maire
     */

    // TODO valeur par defaut du mode intro ?
    public String _strModeIntroSelected = AbstractPDDFilter.ALL_STRING;

    public ProjetDeDeliberationServiceDTO( int nIdSeanceSelected, int nIdStatutSelected, int nStatutActeSelected,
        int nIdPublicationSelected, int nIdConseiQuartierSelected, boolean bFonctionnaliteProjetDeDeliberation,
        int nIdSeanceDatePrevisionnellePassageCA )
    {
        _nIdSeanceSelected = nIdSeanceSelected;
        _nIdStatutSelected = nIdStatutSelected;
        _nStatutActeSelected = nStatutActeSelected;
        _nIdPublicationSelected = nIdPublicationSelected;
        _bFonctionnaliteProjetDeDeliberation = bFonctionnaliteProjetDeDeliberation;
        /**
         *DEBUT AJOUT MA
         */
        _nIdConseilQuartierSelected = nIdConseiQuartierSelected;
        _nIdSeanceDatePrevisionnellePassageCA = nIdSeanceDatePrevisionnellePassageCA;

        /**
        *FIN AJOUT MA
        */
    }

    public void resetPageIndex(  )
    {
        _strCurrentPageIndex = CONSTANTE_PAGE_FIRST;
    }

    public void setReferentiel( Map<String, ReferenceList> mapReferentiel )
    {
        _mapReferentiel = mapReferentiel;
    }

    public Map<String, ReferenceList> getReferentiel(  )
    {
        return _mapReferentiel;
    }
}
