/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.ui.field;

import java.util.HashMap;


/**
 * Implementation permettant de regrouper plusieurs champs sur une meme ligne
 *
 */
@Template( templatePath = "admin/plugins/ods/ui/composite.html" )
public class CompositeField extends AbstractField
{
    private static final String JS_TEMPLATE_MAIN = "admin/plugins/ods/ui/composite_js.html";
    private Field _f1;
    private Field _f2;

    public CompositeField( Field f1, Field f2 )
    {
        this._f1 = f1;
        this._f2 = f2;
    }

    public String render(  )
    {
        // TODO Auto-generated method stub
        HashMap<String, Object> model = new HashMap<String, Object>(  );
        model.put( "f1", _f1.render(  ) );
        model.put( "f2", _f2.render(  ) );

        return renderHtml( model );
    }

    public String renderJS(  )
    {
        HashMap<String, Object> model = new HashMap<String, Object>(  );
        model.put( "f1", _f1.renderJS(  ) );
        model.put( "f2", _f2.renderJS(  ) );

        return renderJS( model );
    }

    @Override
    protected String getJSTemplatePath(  )
    {
        // TODO Auto-generated method stub
        return JS_TEMPLATE_MAIN;
    }
}
