/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.ui.form;

import java.sql.Timestamp;


public class TimestampValidation extends Timestamp
{
    private static final long serialVersionUID = 1L;
    public static final int ERROR_DATE_FORMAT = 1;
    private String _strErrorValue;
    private int _nIdTypeError;

    public TimestampValidation( String strErrorValue )
    {
        super( 1 );
        setErrorValue( strErrorValue );
    }

    public TimestampValidation( int arg0, int arg1, int arg2, int arg3, int arg4, int arg5, int arg6 )
    {
        super( arg0, arg1, arg2, arg3, arg4, arg5, arg6 );

        // TODO Auto-generated constructor stub
    }

    public int getIdTypeError(  )
    {
        return _nIdTypeError;
    }

    public void setIdTypeError( int nIdTypeEror )
    {
        _nIdTypeError = nIdTypeEror;
    }

    public String getErrorValue(  )
    {
        return _strErrorValue;
    }

    public void setErrorValue( String strErrorValue )
    {
        _strErrorValue = strErrorValue;
    }
}
