/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.utils.constants;


/**
 * Regroupe les messages utilises plusiseurs fois dans l'application
 *
 */
public final class OdsProperties
{
    public static final String MESSAGE_PROFIL_NO_RIGHT = "ods.all.message.profilNoRight";
    public static final String TEMPLATE_PROFIL_ERROR = "admin/plugins/ods/profil/error_no_right.html";
    public static final String PROPERTY_MESSAGE_FIELDREQUIRED = "ods.all.message.fieldRequired";
    public static final String PROPERTY_MESSAGE_NO_PDF = "ods.creationfichier.label.fichier.noPDF";
    public static final String PROPERTY_MESSAGE_OBJECT_NOT_FOUND = "ods.updateobject.notfound";
    public static final String PROPERTY_MESSAGE_MODELE_ODJ_NOT_FOUND = "ods.resetmodeleodj.notfound";
    public static final String PROPERTY_MESSAGE_DATE_FORMAT_ERROR = "ods.all.message.dateFormatError";
    public static final String PROPERTY_MESSAGE_DATE_RETOUR_ERROR = "ods.message.errorDateRetourControleLegalite";
    public static final String PROPERTY_MESSAGE_REFERENCE_ERROR = "ods.message.errorReference";
    public static final String PROPERTY_NOM_SECRETAIRE_GENERALE = "ods.certificatAffichage.nom";
    public static final String PROPERTY_MESSAGE_LENGTH_ERROR = "ods.acte.message.error.length";
    public static final String PROPERTY_MESSAGE_CHECKBOX = "ods.acte.message.error.checkbox";
    public static final String PROPERTY_MESSAGE_ACTE_EN_COURS = "ods.acte.message.error.acteEnCours";
    public static final String PROPERTY_MESSAGE_TRANSMISSION = "ods.acte.message.error.transmission";
    public static final String PROPERTY_MESSAGE_STOP_TRANSMISSION = "ods.acte.message.stop.transmission";
    public static final String PROPERTY_CREATION_ID_SEANCE = "ods.acte.creation.id_seance";
    public static final String PROPERTY_POIDS_MAX_ACTE = "ods.acte.taille_max";
    public static final String PROPERTY_MESSAGE_MODE_TRANSMISSION_ERROR = "ods.acte.message.modeTransmissionError";
    public static final String PROPERTY_TELECHARGEMENT_HOST = "ods.telechargement.host";
    public static final String PROPERTY_TELECHARGEMENT_WEBAPP = "ods.telechargement.webapp";
    public static final String PROPERTY_COOKIE_WSSO_NAME_SOURCE = "ods-wsso.cookie.source.wssoUserGuid.name";
    public static final String PROPERTY_COOKIE_WSSO_NAME_DESTINATION = "ods-wsso.cookie.redirection.wssoUserGuid.name";
    public static final String PROPERTY_FICHIERS_PER_PAGE = "ods.itemPerPage.label";
    public static final String PROPERTY_ROLE_NOTIFICATION = "ods.role.notification";

    //Proprit pour JORAM
    public static final String PROPERTY_JNDI_INITIAL = "ods.java.naming.factory.initial";
    public static final String PROPERTY_JNDI_HOST = "ods.java.naming.factory.host";
    public static final String PROPERTY_JNDI_PORT = "ods.java.naming.factory.port";
    public static final String PROPERTY_JNDI_QUEUE_NAME = "ods.queue_name";
    public static final String PROPERTY_JNDI_CONNECTION_FACTORY = "ods.connection_factory";
    public static final String PROPERTY_JNDI_INITIAL_NAME = "java.naming.factory.initial";
    public static final String PROPERTY_JNDI_HOST_NAME = "java.naming.factory.host";
    public static final String PROPERTY_JNDI_PORT_NAME = "java.naming.factory.port";
    public static final String DEFAULT_PROPERTY_JNDI_INITIAL = "fr.dyade.aaa.jndi2.client.NamingContextFactory";
    public static final String DEFAULT_PROPERTY_JNDI_QUEUE_NAME = "queue";
    public static final String DEFAULT_PROPERTY_JNDI_CONNECTION_FACTORY = "qcf";

    /**
     * Constructeur vide
     */
    private OdsProperties(  )
    {
        // rien 
    }
}
