/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.web.autremodele;

import fr.paris.lutece.portal.service.admin.AccessDeniedException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public interface IAutreModeleJspBean
{
    String RIGHT_ODS_AUTRES_MODELES = "ODS_AUTRES_MODELES";

    void init( HttpServletRequest request, HttpServletResponse response, String strRight )
        throws AccessDeniedException;

    /**
     * Rcupre la page de gestion des autres modles
     *@param request la requete
     * @return la page de gestion des autres modeles
     */
    String getAutresModelesList( HttpServletRequest request );

    /**
     * retourne l'interface de creation  d'un autre modle
     *@param request la requete
     *@return la page de creation d'un autre modele
     */
    String getCreationAutreModele( HttpServletRequest request );

    /**
     * retourne l'interface de modification d'un autre modle selectionn
     *@param request la requete
     *@return l'interface de modification d'un autre modle selectionn
     */
    String getModificationAutreModele( HttpServletRequest request );

    /**
     * Cre un autre modele  partir des parametres contenus dans la requete
     * @param request la requete
     * @return retour sur l'interface de gestion des autres modeles
     */
    String doCreationAutreModele( HttpServletRequest request );

    /**
     * modifie un  autre modele a partir des parametres contenus dans la requete
     *@param request la requete
     *@return retour sur l'interface de gestion des autres modeles
     */
    String doModificationAutreModele( HttpServletRequest request );

    /**
     * Retourne une demande pour la suppression d'un modele choisi
     * @param request la requete HTTP
     * @return interface de confirmation de suppression
     */
    String getSuppressionAutreModele( HttpServletRequest request );

    /**
     * supprime le modle choisi
     * @param request la requete HTTP
     * @return url de gestion des groupes poliques
     */
    String doSuppressionAutreModele( HttpServletRequest request );

    /**
     * Tlecharge un fichier.
     * Renvoie un flux de bytes du fichier dans l'objet HttpServletResponse response
     *
     * @param request la requete http
     * @param response la reponse Http
     */
    void doDownloadFichier( HttpServletRequest request, HttpServletResponse response );
}
