/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.web.ordredujour;

import fr.paris.lutece.portal.service.admin.AccessDeniedException;

import java.io.IOException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


public interface IOrdreDuJourJspBean
{
    String JSP_MODIFICATION_ENTREE_ORDRE_DU_JOUR = "jsp/admin/plugins/ods/ordredujour/ModificationEntreeOrdreDuJour.jsp";
    String JSP_MODIFICATION_ORDRE_DU_JOUR = "jsp/admin/plugins/ods/ordredujour/ModificationOrdreDuJour.jsp";
    String JSP_SELECTION_ENTREE_ORDRE_DU_JOUR = "jsp/admin/plugins/ods/ordredujour/SelectionEntreeOrdreDuJour.jsp";
    String JSP_SELECTION_PROJET = "jsp/admin/plugins/ods/projetdeliberation/ProjetDeliberationForOdjNoReinit.jsp";
    String JSP_SELECTION_PDD_RETOUR = "jsp/admin/plugins/ods/ordredujour/DoSelectionPdd.jsp";
    String JSP_SELECTION_PROJETS = "jsp/admin/plugins/ods/projetdeliberation/ProjetsDeliberationForOdj.jsp";
    String JSP_SELECTION_PDD_RETOUR_MULTI = "jsp/admin/plugins/ods/ordredujour/DoSelectionPdds.jsp";
    String JSP_SELECTION_PROPOSITION = "jsp/admin/plugins/ods/projetdeliberation/PropositionDeliberationForOdjNoReinit.jsp";
    String JSP_SELECTION_PROPOSITIONS = "jsp/admin/plugins/ods/projetdeliberation/PropositionsDeliberationForOdj.jsp";
    String JSP_SELECTION_VOEU = "jsp/admin/plugins/ods/voeuamendement/VoeuNonRattacheForOdj.jsp";
    String JSP_SELECTION_VOEU_RETOUR = "jsp/admin/plugins/ods/ordredujour/DoSelectionVoeuAmendement.jsp";

    void initSession( HttpServletRequest request, HttpServletResponse response, boolean bIsGestionAval )
        throws AccessDeniedException;

    void init( HttpServletRequest request, HttpServletResponse response, boolean bIsGestionAval )
        throws AccessDeniedException;

    String getOrdreDuJourList( HttpServletRequest request );

    String getOrdreDuJourGestionAvalList( HttpServletRequest request );

    String doCreationOrdreDuJour( HttpServletRequest request );

    String getModificationOrdreDuJour( HttpServletRequest request );

    String getModificationEntetePiedPage( HttpServletRequest request );

    String doModificationEntetePiedPage( HttpServletRequest request );

    String getSuppressionEntreeEntetePiedPage( HttpServletRequest request );

    String doSuppressionEntreeEntetePiedPage( HttpServletRequest request );

    String doVisualisationODJ( HttpServletRequest request, HttpServletResponse response );

    String doGenereODJ( HttpServletRequest request ) throws IOException;

    void doVisualisationODJcsv( HttpServletRequest request, HttpServletResponse response );

    String doModificationOrdreDuJour( HttpServletRequest request );

    String getSuppressionOrdreDuJour( HttpServletRequest request );

    String doSuppressionOrdreDuJour( HttpServletRequest request );

    String getPublicationOrdreDuJour( HttpServletRequest request );

    String getDepublicationOrdreDuJour( HttpServletRequest request );

    String doPublicationOrdreDuJour( HttpServletRequest request );

    String doDepublicationOrdreDuJour( HttpServletRequest request );

    String getCreationEntreeOrdreDuJour( HttpServletRequest request );

    String doCreationEntreeOrdreDuJour( HttpServletRequest request );

    String getModificationEntreeOrdreDuJour( HttpServletRequest request );

    String doModificationEntreeOrdreDuJour( HttpServletRequest request );

    String getSuppressionEntreeOrdreDuJour( HttpServletRequest request );

    String doSuppressionEntreeOrdreDuJour( HttpServletRequest request );

    String doSuppressionListeEntree( HttpServletRequest request );

    String doSelectionPDD( HttpServletRequest request );

    String doSelectionPDDs( HttpServletRequest request );

    String doSelectionExpression( HttpServletRequest request );

    String doSelectionVoeuAmendement( HttpServletRequest request );

    String doSelectionVoeuxAmendements( HttpServletRequest request );

    String doTraitementOdj( HttpServletRequest request );

    String doTraitementEntreeOdj( HttpServletRequest request );

    String getSelectionEntreeOrdreDuJour( HttpServletRequest request );

    String doNumeroteVa( HttpServletRequest request );

    String doDeplaceListeEntree( HttpServletRequest request );
}
