/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.web.pdd;

import fr.paris.lutece.portal.service.admin.AccessDeniedException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


/**
 *
 * IProjetDeDeliberationJspBean
 *
 */
public interface IProjetDeDeliberationJspBean
{
    //String RIGHT_ODS_PROJET_DE_DELIB = "ODS_PROJET_DE_DELIB";
    //String RIGHT_ODS_PROP_DE_DELIB = "ODS_PROP_DE_DELIB";
    //String RIGHT_ODS_PROJET_DE_DELIB_GESTION_AVAL = "ODS_PROJET_DE_DELIB_GESTION_AVAL";
    //String RIGHT_ODS_PROP_DE_DELIB_GESTION_AVAL = "ODS_PROP_DE_DELIB_GESTION_AVAL";
    String CONSTANTE_URL_JSP_RETOUR = "jsp/admin/plugins/ods/projetdeliberation/DoSelectionAmendement.jsp";
    String CONSTANTE_URL_JSP_RETOUR_GESTION_AVAL = "jsp/admin/plugins/ods/projetdeliberation/DoSelectionAmendement.jsp";

    /**
     * Init
     * @param request la requete HTTP
     * @param response la reponse HTTP
     * @param strRight le right
     * @throws AccessDeniedException AccessDeniedException
     */
    void init( HttpServletRequest request, HttpServletResponse response, String strRight )
        throws AccessDeniedException;

    /**
     * Initialisation
     * @param request la requete HTTP
     */
    void init( HttpServletRequest request );

    /**
     *
     * @param request la requete HTTP
     * @param strRight le right
     * @throws AccessDeniedException AccessDeniedException
     */
    void init( HttpServletRequest request, String strRight )
        throws AccessDeniedException;

    /**
     * Init
     * @param strUrl l'URL de retour
     * @param request la requete HTTP
     */
    void initUrlRetour( String strUrl, HttpServletRequest request );

    /**
     * retourne l'ecran de creation des projet de deliberation
     *
     * @param request la requte HTTP
     * @return String template
     */
    String getPDD( HttpServletRequest request );

    /**
     * retourne l'ecran de modification complte des projet de deliberation
     *
     * @param request la requte HTTP
     * @return String template
     */
    String getModificationCompleteProjetDeDeliberation( HttpServletRequest request );

    /**
     * Creation d'un fichier si tous les champs obligatoires du formulaire de
     * cration d'un fichier ont ete renseigne,<BR>
     * la mthode retourne l'url de gestion des fichiers,<BR>
     * sinon l'url retourne est celle de l'interface spcifiant les messages
     * d'erreurs.
     *
     * @param request la requte HTTP
     * @return String template
     */
    String doCreationPieceAnnexe( HttpServletRequest request );

    /**
     * Ajout d'un Voeu/Amendement au PDD
     *
     * @param request la requte HTTP
     * @return String template
     */
    String doAjoutVoeuAmendement( HttpServletRequest request );

    /**
     * Modifie la piece annexe et le fichier physique. Si le fichie est en ligne,
     * alors la version est incrment de 1 et ajout d'un historique si tous les
     * champs obligatoires du formulaire de modification d'un fichier ont t
     * renseign,<BR>
     * la mthode retourne l'url de gestion des fichiers,<BR>
     * sinon l'url retourne est celle de l'interface spcifiant les messages
     * d'erreurs.
     *
     * @param request
     *            la requte HTTP
     * @return String template
     */
    String doModificationPieceAnnexe( HttpServletRequest request );

    /**
     * retourne l'ecran de visualisation de l'historique des versions d'une
     * piece annexe
     *
     * @param request
     *            la requte HTTP
     * @return String template
     */
    String getHistoriquePieceAnnexe( HttpServletRequest request );

    /**
     * retourne une demande de confirmation pour la suppression du pdd choisie
     *
     * @param request la requte HTTP
     * @return String template
     */
    String getSuppressionPDD( HttpServletRequest request );

    /**
     * retourne une demande de confirmation pour la suppression de la piece
     * annexe choisie
     *
     * @param request
     *            la requte HTTP
     * @return String template
     */
    String getSuppressionPieceAnnexe( HttpServletRequest request );

    /**
     * retourne l'ecran de visualisation de l'historique des versions d'un pdd
     *
     * @param request
     *            la requte HTTP
     * @return String template
     */
    String getHistoriquePDD( HttpServletRequest request );

    /**
     * Publication d'un pdd Si "OdsParameters.PDD_IS_PUBLIER" gale  TRUE,
     * alors la mthode <b>publie</b> le pdd et incrmente la version<BR>
     * Dans ce cas, un historique est cre Sinon la mthode change le statut
     * enLigne d'un pdd a FALSE
     *
     * @param request la requte HTTP
     * @return String template
     */
    String doPublicationPDD( HttpServletRequest request );

    /**
     * supprime le pdd choisi
     *
     * @param request
     *            la requte HTTP
     * @return String template
     */
    String doSuppressionPDD( HttpServletRequest request );

    /**
     * supprime la piece annexe choisie
     *
     * @param request
     *            la requte HTTP
     * @return String template
     */
    String doSuppressionPieceAnnexe( HttpServletRequest request );

    /**
     * Permet de changer l'ordre des voeux Amandements rattachs
     *
     * @param isForAmandement
     *            TRUE pour traiter les amendements, FALSE pour les voeux
     *            rattachs
     * @param request
     *            la requte HTTP
     * @return String template
     */
    String doChangeNumOrdreVoeuxAmendements( HttpServletRequest request, boolean isForAmandement );

    /**
     * Permet d'ajouter une direction coemetrice au pdd qui est en cours de
     * creation ou de modification
     *
     * @param request
     *            la requte HTTP
     * @return String template
     */
    String doAjoutDirectionCoEmetrice( HttpServletRequest request );

    /**
     * Permet de supprimer une direction coemetrice au pdd qui est en cours de
     * creation ou de modification
     *
     * @param request
     *            la requte HTTP
     * @return String template
     */
    String doDeleteDirectionCoEmetrice( HttpServletRequest request );

    /**
     * Permet d'ajouter un arrondissement au pdd qui est en cours de creation ou
     * de modification
     *
     * @param request
     *            la requte HTTP
     * @return String template
     */
    String doAjoutArrondissement( HttpServletRequest request );

    /**
     * Permet de supprimer un arrondissement au pdd qui est en cours de creation
     * ou de modification
     *
     * @param request
     *            la requte HTTP
     * @return String template
     */
    String doDeleteArrondissement( HttpServletRequest request );

    /**
     * Methode qui effectue les modifications Si retourList = TRUE alors on
     * enregistre les donnes et on revient sur la liste des pdd Si retourList =
     * FALSE alors on enregistre les donnes mais on reste sur l'ecran de
     * modification
     *
     * @param request la requte HTTP
     * @return String template
     */
    String doModificationPDD( HttpServletRequest request );

    /**
     * Mthode qui effectue la cration.
     * Si retourList = TRUE alors on enregistre les donnes et on revient sur la liste des pdd.
     * Si retourList = FALSE alors on enregistre les donnes mais redirige sur l'ecran de modification.
     *
     * @param request la requte HTTP
     * @return String la template  afficher
     */
    String doCreationPDD( HttpServletRequest request );

    /**
     * Tlecharge un fichier. Renvoie un flux de bytes du fichier dans l'objet
     * HttpServletResponse response
     *
     * @param request
     *            la requte HTTP
     * @param response
     *            la reponse HTTP
     */
    void doDowloadFichier( HttpServletRequest request, HttpServletResponse response );

    /**
     * Affiche la liste des pdd en fonction des filtres
     *
     * @param request la requte HTTP
     * @return String template
     */
    String getPDDList( HttpServletRequest request );

    /**
     *
     * @param request la requete Http
     * @param strUrlJSP l'url de la JSP appelant la methode
     * @param strUrlRetour l'url de la JSP de retour
     * @return la template affichant une liste de PDD afin d'etre selectionne
     */
    String getPDDListSelect( HttpServletRequest request, String strUrlJSP, String strUrlRetour );

    /**
     * Affiche un formulaire de selection multiple de PDDs
     * @param request la requte Http
     * @param strUrlJSP l'url appelant cette mthode
     * @param strUrlRetour l'url de retour du formulaire affich
     * @param estGestionAval TRUE si l'on est en gestion aval, FALSE sinon
     * @return la template d'affichage du formulaire de selection multiple
     */
    String getPDDListMultiSelect( HttpServletRequest request, String strUrlJSP, String strUrlRetour,
        boolean estGestionAval );

    /**
     * Initialise tous les filtres
     *
     * @param request
     *            la requte HTTP
     */
    void initFilter( HttpServletRequest request );

    /**
     * Initialise tous les filtres
     * @param request la requete Http
     * @param isGestionAval si on est dans la gestion aval ou pas
     */
    void initFilter( HttpServletRequest request, boolean isGestionAval );

    /**
     *
     * @param isFonctionnaliteProjetDeDeliberation TRUE si c'est un projet, FALSE sinon
     */
    @Deprecated
    void setFonctionnalite( boolean isFonctionnaliteProjetDeDeliberation );

    /**
     * @param nIdTypeDeclinaison TRUE si c'est un projet, FALSE sinon
     */
    void setDeclinaison( int nIdTypeDeclinaison );

    /**
     * @return TRUE si c'est un projet, FALSE sinon
     */
    @Deprecated
    boolean isFonctionnaliteProjetDeDeliberation(  );

    /**
     *
     * @param bGestionAval TRUE si on est dans le contexte de la gestion aval, FALSE sinon
     */
    void setGestionAval( boolean bGestionAval );

    /**
     * @return TRUE si c'est en gestion aval, FALSE sinon
     */
    boolean isGestionAval(  );

    /**
     * methode qui demande une confirmation de l'utilisateur avant de basculer le classement des vas du pdd en mode maunuel
     *
     * @param request request
     * @return l'url de traitement
     */
    String getConfirmActiveModeManuel( HttpServletRequest request );

    /**
     * methode qui bascule le pdd en mode de classement manuel.
     *
     * @param request
     *            request
     * @return l'url de modification du pdd en cours de traitement
     */
    String doAppliquerModeManuel( HttpServletRequest request );

    /**
     * methode qui gre le glisser dposer des vas.
     *
     * @param request
     *            request
     * @return l'url de modification du pdd en cours de traitement
     */
    String doGlisserDeposer( HttpServletRequest request );

    /**
     *
     * @param nIdDeclinaison l'id de la declinaison
     * @param nIdModeGestion l'id du mode de gestion
     */
    void initModeDeclinaison( int nIdDeclinaison, int nIdModeGestion );

    /**
     *
     * @param nIdModeGestion l'id du mode de gestion
     */
    void setModeGestion( int nIdModeGestion );

    /**
     *
     * @return le right
     */
    String getRight(  );
}
