/*
 * Copyright (c) 2002-2010, Mairie de Paris
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  1. Redistributions of source code must retain the above copyright notice
 *     and the following disclaimer.
 *
 *  2. Redistributions in binary form must reproduce the above copyright notice
 *     and the following disclaimer in the documentation and/or other materials
 *     provided with the distribution.
 *
 *  3. Neither the name of 'Mairie de Paris' nor 'Lutece' nor the names of its
 *     contributors may be used to endorse or promote products derived from
 *     this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE
 * LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 * SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 * License 1.0
 */
package fr.paris.lutece.plugins.ods.web.voeuamendement;

import fr.paris.lutece.portal.service.admin.AccessDeniedException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


/**
 * IVoeuAmendementJspBean
 */
public interface IVoeuAmendementJspBean
{
    String RIGHT_ODS_AMENDEMENT = "ODS_AMENDEMENTS";
    String RIGHT_ODS_AMENDEMENT_GESTION_AVAL = "ODS_AMENDEMENTS_GESTION_AVAL";
    String RIGHT_ODS_VOEU = "ODS_VOEUX";
    String RIGHT_ODS_VOEU_GESTION_AVAL = "ODS_VOEUX_GESTION_AVAL";
    String RIGHT_ODS_VA_NUMEROTES = "ODS_VA_NUMEROTES";
    String RIGHT_ODS_VA_NUMEROTES_GESTION_AVAL = "ODS_VA_NUMEROTES_GESTION_AVAL";
    String RIGHT_ODS_STATUTVA_GESTION_AVAL = "ODS_STATUTVA_GESTION_AVAL";
    String CONSTANTE_ACTION_ADD_PARENT = "add_parent";
    String CONSTANTE_RETOUR_CREATION = "creation";
    String CONSTANTE_RETOUR_MODIFICATION = "modification";
    String CONSTANTE_ACTION_REMOVE_PARENT = "remove_parent";
    String CONSTANTE_URL_JSP_APPELANT_AMENDEMENT_PARENT_CREATION = "jsp/admin/plugins/ods/voeuamendement/AmendementsForParentCreation.jsp";
    String CONSTANTE_URL_JSP_RETOUR_PARENT_CREATION_AMENDEMENT = "jsp/admin/plugins/ods/voeuamendement/AddParentCreationInAmendement.jsp";
    String CONSTANTE_URL_JSP_APPELANT_AMENDEMENT_PARENT_MODIFICATION = "jsp/admin/plugins/ods/voeuamendement/AmendementsForParentModification.jsp";
    String CONSTANTE_URL_JSP_RETOUR_PARENT_MODIFICATION_AMENDEMENT = "jsp/admin/plugins/ods/voeuamendement/AddParentModificationInAmendement.jsp";
    String CONSTANTE_URL_JSP_APPELANT_AMENDEMENT = "jsp/admin/plugins/ods/voeuamendement/AmendementsForPDD.jsp";
    String CONSTANTE_URL_JSP_APPELANT_AMENDEMENT_GESTION_AVAL = "jsp/admin/plugins/ods/voeuamendement/AmendementsForPDDGestionAval.jsp";
    String CONSTANTE_URL_JSP_APPELANT_VOEU_NON_RATTACHE_PARENT_CREATION = "jsp/admin/plugins/ods/voeuamendement/VoeuxNonRattachesForParentCreation.jsp";
    String CONSTANTE_URL_JSP_RETOUR_PARENT_CREATION_VOEU = "jsp/admin/plugins/ods/voeuamendement/AddParentCreationInVoeu.jsp";
    String CONSTANTE_URL_JSP_APPELANT_VOEU_NON_RATTACHE_PARENT_MODIFICATION = "jsp/admin/plugins/ods/voeuamendement/VoeuxNonRattachesForParentModification.jsp";
    String CONSTANTE_URL_JSP_RETOUR_PARENT_MODIFICATION_VOEU = "jsp/admin/plugins/ods/voeuamendement/AddParentModificationInVoeu.jsp";
    String CONSTANTE_URL_JSP_APPELANT_VOEU_RATTACHE_PARENT_CREATION = "jsp/admin/plugins/ods/voeuamendement/VoeuxRattachesForParentCreation.jsp";
    String CONSTANTE_URL_JSP_APPELANT_VOEU_RATTACHE_PARENT_MODIFICATION = "jsp/admin/plugins/ods/voeuamendement/VoeuxRattachesForParentModification.jsp";
    String CONSTANTE_URL_JSP_APPELANT_VOEUX_GESTION_AVAL = "jsp/admin/plugins/ods/voeuamendement/VoeuxRattachesForPDDGestionAval.jsp";
    String CONSTANTE_URL_JSP_APPELANT_VOEUX = "jsp/admin/plugins/ods/voeuamendement/VoeuxRattachesForPDD.jsp";
    String CONSTANTE_URL_JSP_APPELANT_PROJET = "jsp/admin/plugins/ods/projetdeliberation/ProjetDeliberationForVa.jsp";
    String CONSTANTE_URL_JSP_APPELANT_PROJET_AVAL = "jsp/admin/plugins/ods/projetdeliberation/ProjetDeliberationForVaGestionAval.jsp";
    String CONSTANTE_URL_JSP_APPELANT_PROPOSITION = "jsp/admin/plugins/ods/projetdeliberation/PropositionDeliberationForVa.jsp";
    String CONSTANTE_URL_JSP_APPELANT_PROPOSITION_AVAL = "jsp/admin/plugins/ods/projetdeliberation/PropositionDeliberationForVaGestionAval.jsp";

    void initUrlRetour( String strUrl, HttpServletRequest request );

    void reinitSession( HttpServletRequest request, HttpServletResponse response, String strRight,
        boolean bIsGestionAval ) throws AccessDeniedException;

    void init( HttpServletRequest request, HttpServletResponse response, String strRight, boolean bIsGestionAval )
        throws AccessDeniedException;

    void init( HttpServletRequest request, String strRight, boolean bIsGestionAval )
        throws AccessDeniedException;

    boolean isGestionAval(  );

    String getVoeuAmendementList( HttpServletRequest request, String strType );

    String getCreationVoeuAmendement( HttpServletRequest request, String strType, boolean doReinitVA );

    String doCreationVoeuAmendement( HttpServletRequest request, String strType );

    String getModificationVoeuAmendement( HttpServletRequest request );

    String doModificationVoeuAmendement( HttpServletRequest request );

    String getSuppressionVoeuAmendement( HttpServletRequest request );

    String doSuppressionVoeuAmendement( HttpServletRequest request );

    String getVoeuAmendementList( HttpServletRequest request, String strType, String strUrlJSP, String strUrlRetour );

    String doAddDepositaireCreation( HttpServletRequest request );

    String doAddDepositaireModification( HttpServletRequest request );

    String doAddPdds( HttpServletRequest request );

    String doAddRemoveParent( HttpServletRequest request, String strAction, String strReturn );

    String getAvertissementEnregistrementSansPDD( HttpServletRequest request );

    String doAssignStatut( HttpServletRequest request );

    void doDownloadFichier( HttpServletRequest request, HttpServletResponse response );

    String doFinaliserActe( HttpServletRequest request );

    String doPublicationVoeuAmendement( HttpServletRequest request, String strType );

    String getConfirmFinaliser( HttpServletRequest request );

    String getHistoriqueVoeuAmendement( HttpServletRequest request );

    String doRemoveDepositaireCreation( HttpServletRequest request );

    String doRemoveDepositaireModification( HttpServletRequest request );

    String doRemovePdd( HttpServletRequest request );
}
